# 搜索论文 (/zh/api-reference/endpoint/research-search-papers)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1409 · updated: 2026-07-30 -->
Related: [Search（搜索）](/zh/api-reference/endpoint/search.md), [搜索反馈](/zh/api-reference/endpoint/search-feedback.md), [Scrape](/zh/api-reference/endpoint/scrape.md), [批量抓取](/zh/api-reference/endpoint/batch-scrape.md), [获取批量抓取状态](/zh/api-reference/endpoint/batch-scrape-get.md), [取消批量抓取](/zh/api-reference/endpoint/batch-scrape-delete.md)

可按主题、方法、基准、作者或类别搜索论文。结果包括规范 `paperId`、首选 `primaryId`、来源 ID、标题、摘要、评分，以及可选的排序信号。

有关工作流概览，请参见 [Research Index 指南](/zh/features/research)。

`GET /search/research/papers`

搜索论文

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "用于搜索论文的自然语言查询。",
      "in": "query",
      "name": "query",
      "required": true,
      "schema": {
        "minLength": 1,
        "type": "string"
      }
    },
    {
      "description": "返回的排序论文的最大数量。",
      "in": "query",
      "name": "k",
      "required": false,
      "schema": {
        "default": 40,
        "maximum": 500,
        "minimum": 1,
        "type": "integer"
      }
    },
    {
      "description": "作者子字符串过滤条件。可重复传入，或传入逗号分隔的值；所有过滤条件都必须匹配。",
      "in": "query",
      "name": "authors",
      "required": false,
      "schema": {
        "type": "string"
      }
    },
    {
      "description": "论文类别过滤条件。可重复传入，或传入逗号分隔的值；所有过滤条件都必须匹配。",
      "in": "query",
      "name": "categories",
      "required": false,
      "schema": {
        "type": "string"
      }
    },
    {
      "description": "created/updated 日期的包含下限。",
      "in": "query",
      "name": "from",
      "required": false,
      "schema": {
        "format": "date",
        "type": "string"
      }
    },
    {
      "description": "created/updated 日期的包含上限。",
      "in": "query",
      "name": "to",
      "required": false,
      "schema": {
        "format": "date",
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "example": {
            "results": [
              {
                "abstract": "We show that diffusion models can achieve image sample quality superior to the current state-of-the-art generative models...",
                "ids": {
                  "arxiv": [
                    "2105.05233"
                  ]
                },
                "paperId": "2014215642691656232",
                "primaryId": "arxiv:2105.05233",
                "score": 0.0163934,
                "title": "Diffusion Models Beat GANs on Image Synthesis"
              }
            ],
            "success": true
          },
          "schema": {
            "properties": {
              "results": {
                "items": {
                  "properties": {
                    "abstract": {
                      "type": "string"
                    },
                    "ids": {
                      "additionalProperties": {
                        "items": {
                          "type": "string"
                        },
                        "type": "array"
                      },
                      "description": "按命名空间分组的来源标识符。",
                      "example": {
                        "arxiv": [
                          "2105.05233"
                        ]
                      },
                      "type": "object"
                    },
                    "paperId": {
                      "description": "规范论文 ID，或对通过 SERP 发现的展示结果使用 web:<url>。",
                      "type": "string"
                    },
                    "primaryId": {
                      "description": "首选的 cite/fetch ID，例如 arxiv:<id>、pmid:<id>、pmcid:<id> 或 doi:<id>。",
                      "type": "string"
                    },
                    "score": {
                      "format": "double",
                      "type": "number"
                    },
                    "signals": {
                      "properties": {
                        "articleRank": {
                          "description": "结构扩展的 article-rank 分数。",
                          "format": "double",
                          "type": "number"
                        },
                        "seedOverlap": {
                          "description": "与该候选结果关联的不同种子数量。",
                          "minimum": 0,
                          "type": "integer"
                        },
                        "semantic": {
                          "description": "意图搜索的语义分数。",
                          "format": "double",
                          "type": "number"
                        },
                        "structural": {
                          "description": "原始结构图信号。",
                          "format": "double",
                          "type": "number"
                        }
                      },
                      "required": [
                        "structural",
                        "semantic",
                        "articleRank",
                        "seedOverlap"
                      ],
                      "type": "object"
                    },
                    "title": {
                      "type": "string"
                    }
                  },
                  "required": [
                    "paperId",
                    "primaryId",
                    "title",
                    "abstract",
                    "score"
                  ],
                  "type": "object"
                },
                "type": "array"
              },
              "success": {
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "results"
            ],
            "type": "object"
          }
        }
      },
      "description": "排序后的论文结果。"
    },
    "400": {
      "description": "无效请求"
    },
    "401": {
      "description": "缺少 Bearer 令牌或令牌无效"
    },
    "429": {
      "description": "超出限流"
    },
    "500": {
      "description": "内部服务器错误"
    }
  }
}
```
